# OCI-Collection::trim

(PHP 5, PHP 7, PECL OCI8 >= 1.1.0)

OCI-Collection::trim — Trims elements from the end of the collection

### Description

OCI-Collection::trim ( int `$num` ) : bool

Trims `num` of elements from the end of the collection.

### Parameters

`num`

  The number of elements to be trimmed.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- OCI-Collection::size